GearmanClient::doStatus
GearmanClient::error
GearmanClient
PHP Manual

# GearmanClient::echo

(PECL gearman >= 0.5.0)

GearmanClient::echo — Send data to all job servers to see if they echo it back [deprecated]

### Description

public bool GearmanClient::echo ( string `$workload` )

The GearmanClient::echo() method is deprecated as of pecl/gearman 1.0.0. Use GearmanClient::ping().

### Parameters

`workload`

  Some arbitrary serialized data to be echo back

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

GearmanClient::doStatus
GearmanClient::error
GearmanClient
PHP Manual